diff --git a/gtk3-nocsd.c b/gtk3-nocsd.c
index 8e15399..4aea76c 100644
--- a/gtk3-nocsd.c
+++ b/gtk3-nocsd.c
@@ -847,9 +847,11 @@ extern void g_object_get (gpointer _object, const gchar *first_property_name, ..
                 gchar **v = va_arg (var_args, gchar **);
                 const gchar *s = g_value_get_string (&value);
 
-                r = _remove_buttons_from_layout (new_layout, s);
-                if (r == 0)
-                    s = new_layout;
+                if (!is_gtk_version_larger_or_equal(4, 0, 0)) {
+                    r = _remove_buttons_from_layout (new_layout, s);
+                    if (r == 0)
+                        s = new_layout;
+                }
                 *v = g_strdup (s);
             } else if (G_UNLIKELY (strcmp (name, "gtk-dialogs-use-header") == 0)) {
                 gboolean *v = va_arg (var_args, gboolean *);
